org.eclipse.rdf4j.http.server.repository

## Class RepositoryController

- java.lang.Object
- - org.springframework.context.support.ApplicationObjectSupport
  - - org.springframework.web.context.support.WebApplicationObjectSupport
    - - org.springframework.web.servlet.support.WebContentGenerator
      - - org.springframework.web.servlet.mvc.AbstractController
        - - org.eclipse.rdf4j.http.server.repository.RepositoryController

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware, org.springframework.web.context.ServletContextAware, org.springframework.web.servlet.mvc.Controller

      public class RepositoryController
      extends org.springframework.web.servlet.mvc.AbstractController

  Handles queries and admin (delete) operations on a repository and renders the results in a format suitable to the type of operation.
  Author:
    Herko ter Horst

- - ### Field Summary

    - ### Fields inherited from class org.springframework.web.servlet.support.WebContentGenerator

      `HEADER_CACHE_CONTROL, METHOD_GET, METHOD_HEAD, METHOD_POST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.springframework.web.servlet.ModelAndView` | `handleRequestInternal(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `setRepositoryManager(RepositoryManager repMan)`

    - ### Methods inherited from class org.springframework.web.servlet.mvc.AbstractController

      `handleRequest, isSynchronizeOnSession, setSynchronizeOnSession`

    - ### Methods inherited from class org.springframework.web.servlet.support.WebContentGenerator

      `applyCacheControl, applyCacheSeconds, applyCacheSeconds, cacheForSeconds, cacheForSeconds, checkAndPrepare, checkAndPrepare, checkRequest, getAllowHeader, getCacheControl, getCacheSeconds, getSupportedMethods, getVaryByRequestHeaders, isAlwaysMustRevalidate, isRequireSession, isUseCacheControlHeader, isUseCacheControlNoStore, isUseExpiresHeader, prepareResponse, preventCaching, setAlwaysMustRevalidate, setCacheControl, setCacheSeconds, setRequireSession, setSupportedMethods, setUseCacheControlHeader, setUseCacheControlNoStore, setUseExpiresHeader, setVaryByRequestHeaders`

    - ### Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport

      `getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

    - ### Methods inherited from class org.springframework.context.support.ApplicationObjectSupport

      `getApplicationContext, getMessageSourceAccessor, initApplicationContext, obtainApplicationContext, requiredContextClass, setApplicationContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryController

          public RepositoryController()
                               throws org.springframework.context.ApplicationContextException

      Throws:
        `org.springframework.context.ApplicationContextException`

  - ### Method Detail

    - #### setRepositoryManager

          public void setRepositoryManager(RepositoryManager repMan)

    - #### handleRequestInternal

          protected org.springframework.web.servlet.ModelAndView handleRequestInternal(javax.servlet.http.HttpServletRequest request,
                                                                                       javax.servlet.http.HttpServletResponse response)
                                                                                throws Exception

      Specified by:
        `handleRequestInternal` in class `org.springframework.web.servlet.mvc.AbstractController`
      Throws:
        `Exception`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.